<?xml version="1.0" encoding="UTF-8" standalone="no"?><maxfile format-version="20120200" header="bwtt.h" name="bwtt"><constant name="PCIE_ALIGNMENT" type="long" value="16"/><enginemode name="default"><function name="bwtt" return-value="void"><scalar desc="Interface Parameter &quot;sinkCount&quot;." direction="Input" name="param_sinkCount" type="int64_t"/><scalar desc="Interface Parameter &quot;sourceCount&quot;." direction="Input" name="param_sourceCount" type="int64_t"/><scalar desc="Interface Parameter &quot;tokensIndex&quot;." direction="Input" name="param_tokensIndex" type="int64_t"/><array desc="The stream should be of size ((param_sourceCount * param_sinkCount) * 4) bytes." direction="Input" name="instream_si" size="((param_sourceCount * param_sinkCount) * 4)" transpose="true" type="uint32_t"><dimension index="0"><length><functionCall><numBinaryOperator operator="/" value="(((param_sourceCount * param_sinkCount) * 4) / 4)"><functionCall><numBinaryOperator operator="*" value="((param_sourceCount * param_sinkCount) * 4)"><functionCall><numBinaryOperator operator="*" value="(param_sourceCount * param_sinkCount)"><userParam value="param_sourceCount"/><userParam value="param_sinkCount"/></numBinaryOperator></functionCall><constantValue value="4"/></numBinaryOperator></functionCall><constantValue value="4"/></numBinaryOperator></functionCall></length></dimension></array><array desc="The stream should be of size ((param_sourceCount * param_sinkCount) * 4) bytes." direction="Input" name="instream_so" size="((param_sourceCount * param_sinkCount) * 4)" transpose="true" type="uint32_t"><dimension index="0"><length><functionCall><numBinaryOperator operator="/" value="(((param_sourceCount * param_sinkCount) * 4) / 4)"><functionCall><numBinaryOperator operator="*" value="((param_sourceCount * param_sinkCount) * 4)"><functionCall><numBinaryOperator operator="*" value="(param_sourceCount * param_sinkCount)"><userParam value="param_sourceCount"/><userParam value="param_sinkCount"/></numBinaryOperator></functionCall><constantValue value="4"/></numBinaryOperator></functionCall><constantValue value="4"/></numBinaryOperator></functionCall></length></dimension></array><array desc="The stream should be of size (((param_sinkCount * param_sourceCount) * param_tokensIndex) * 2) bytes." direction="Output" name="outstream_output" size="(((param_sinkCount * param_sourceCount) * param_tokensIndex) * 2)" transpose="true" type="uint16_t"><dimension index="0"><length><functionCall><numBinaryOperator operator="/" value="((((param_sinkCount * param_sourceCount) * param_tokensIndex) * 2) / 2)"><functionCall><numBinaryOperator operator="*" value="(((param_sinkCount * param_sourceCount) * param_tokensIndex) * 2)"><functionCall><numBinaryOperator operator="*" value="((param_sinkCount * param_sourceCount) * param_tokensIndex)"><functionCall><numBinaryOperator operator="*" value="(param_sinkCount * param_sourceCount)"><userParam value="param_sinkCount"/><userParam value="param_sourceCount"/></numBinaryOperator></functionCall><userParam value="param_tokensIndex"/></numBinaryOperator></functionCall><constantValue value="2"/></numBinaryOperator></functionCall><constantValue value="2"/></numBinaryOperator></functionCall></length></dimension></array><array desc="Mapped ROM inmem_bwttKernel_mappedRomRho, should be of size (1000 * sizeof(double))." direction="Input" name="inmem_bwttKernel_mappedRomRho" size="8000" transpose="false" type="double"><dimension index="0"><sizeExpression value="(8000) / 8"/></dimension></array><array desc="Mapped ROM inmem_bwttKernel_mappedRomX, should be of size (1000 * sizeof(uint64_t))." direction="Input" name="inmem_bwttKernel_mappedRomX" size="8000" transpose="false" type="uint64_t"><dimension index="0"><sizeExpression value="(8000) / 8"/></dimension></array><array desc="Mapped ROM inmem_bwttKernel_mappedRomY, should be of size (1000 * sizeof(uint64_t))." direction="Input" name="inmem_bwttKernel_mappedRomY" size="8000" transpose="false" type="uint64_t"><dimension index="0"><sizeExpression value="(8000) / 8"/></dimension></array><array desc="Mapped ROM inmem_secondKernel_mappedRomRho, should be of size (1000 * sizeof(double))." direction="Input" name="inmem_secondKernel_mappedRomRho" size="8000" transpose="false" type="double"><dimension index="0"><sizeExpression value="(8000) / 8"/></dimension></array><array desc="Mapped ROM inmem_secondKernel_mappedRomX, should be of size (1000 * sizeof(uint64_t))." direction="Input" name="inmem_secondKernel_mappedRomX" size="8000" transpose="false" type="uint64_t"><dimension index="0"><sizeExpression value="(8000) / 8"/></dimension></array><array desc="Mapped ROM inmem_secondKernel_mappedRomY, should be of size (1000 * sizeof(uint64_t))." direction="Input" name="inmem_secondKernel_mappedRomY" size="8000" transpose="false" type="uint64_t"><dimension index="0"><sizeExpression value="(8000) / 8"/></dimension></array></function></enginemode></maxfile>